%define upstream_name    Data-ObjectDriver
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object driver for caching objects with memcached
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(version)
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}%{perl_vendorlib}/Data/ObjectDriver/Driver/DBD/Oracle.pm

%description
_Data::ObjectDriver_ is an object relational mapper, meaning that it maps
object-oriented design concepts onto a relational database.

It's inspired by, and descended from, the _MT::ObjectDriver_ classes in Six
Apart's Movable Type and TypePad weblogging products. But it adds in
caching and partitioning layers, allowing you to spread data across
multiple physical databases, without your application code needing to know
where the data is stored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# (sander85) drop conflicting bundled Test::Builder
rm -rf inc/Test/Builder*

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Oct 30 2020 tv <tv> 0.210.0-1.mga8
+ Revision: 1640569
- update to 0.21

* Tue Sep 15 2020 tv <tv> 0.200.0-1.mga8
+ Revision: 1626644
- update to 0.20

* Wed Mar 04 2020 tv <tv> 0.190.0-1.mga8
+ Revision: 1553665
- update to 0.19

* Sat Feb 15 2020 umeabot <umeabot> 0.180.0-2.mga8
+ Revision: 1527199
- Mageia 8 Mass Rebuild

* Wed Jul 10 2019 tv <tv> 0.180.0-1.mga8
+ Revision: 1419875
- update to 0.18

* Fri Mar 15 2019 tv <tv> 0.170.0-1.mga7
+ Revision: 1377479
- update to 0.17

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-2.mga7
+ Revision: 1282630
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.150.0-1.mga7
+ Revision: 1134113
- update to 0.15

* Sat Jun 18 2016 pterjan <pterjan> 0.140.0-2.mga6
+ Revision: 1024819
- Rebuild for perl 5.22.2

* Fri Jan 15 2016 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 923295
- update to 0.14

* Sat Jul 04 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 850470
- update to 0.13

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-7.mga5
+ Revision: 788641
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 740475
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-5.mga5
+ Revision: 733041
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 684217
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.90.0-3.mga5
+ Revision: 664912
- Don't use bundled Test::Builder (breaks build)

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 510555
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 365394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.90.0-1.mga3
+ Revision: 254395
- imported package perl-Data-ObjectDriver

